From 85f83c74c2af22f594401cca981dea6781b9eb40 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Luttringer?= <seblu@seblu.net>
Date: Wed, 3 Jan 2018 14:11:38 +0100
Subject: [PATCH] Add kernel config update helper

---
 update_config.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100755 update_config.sh

diff --git a/update_config.sh b/update_config.sh
new file mode 100755
index 0000000..1d2e0df
--- /dev/null
+++ b/update_config.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+[[ -e src/linux/.config ]] || makepkg --nobuild --force
+
+(cd src/linux && make oldconfig)
+
+if ! diff -q -s src/linux/.config config.x86_64; then
+	cp src/linux/.config config.x86_64
+	updpkgsums
+fi
-- 
GitLab